CreateDedicatedIpPool method
Creates a pool of dedicated IP addresses in a folder. The folder is selected based on the service account the request originates from.
Request
POST /v2/email/dedicated-ip-pools HTTP/2
Request headers
Use common request headers in your requests.
Request body
{
"PoolName": "<pool_name>",
"ScalingMode": "STANDARD",
"Tags": [
{
"Key": "<label_key>",
"Value": "<label_value>"
}
]
}
|
Parameter |
Description |
|
|
Type: String. Pool name. It must be unique within the cloud. The allowed characters are lowercase Latin letters, digits, underscores ( You cannot use names reserved by the service. |
|
|
Type: String. Pool scaling mode. The possible value is This is an optional parameter. |
|
|
Type: Array. Pool label array. This is an optional parameter. |
|
|
Type: String. Label key. |
|
|
Type: String. Label value. |
Responses
200 OK
A successful request returns 200 OK in the response.
Errors
For all errors, the response body has the same format:
{
"Code": "<error_name>",
"message": "<error_description>"
}
The name of the error is taken from its code, e.g., BadRequestException.
The possible errors include:
|
Error code |
Description |
|
|
The request contains invalid headers or parameters. You also get this error if the pool name does not meet the requirements, a reserved pool name is specified, or |
|
|
A pool with this name already exists. Choose a different one. |
|
|
The request quota was exceeded. |